/*
**********************************************************************************************************************
*											        eGon
*						           the Embedded GO-ON Bootloader System
*									       eGON arm boot sub-system
*
*						  Copyright(C), 2006-2010, SoftWinners Microelectronic Co., Ltd.
*                                           All Rights Reserved
*
* File    :
*
* By      : Jerry
*
* Version : V2.00
*
* Date	  :
*
* Descript:
**********************************************************************************************************************
*/
#include "card_sprite_i.h"
#include "FormatTool.h"
//------------------------------------------------------------------------------------------------------------
//
// ˵
//
//
// ˵
//
//
// ֵ
//
//
// 
//    
//
//------------------------------------------------------------------------------------------------------------
//RsvdSecCnt = 0x100; 0x20~0x8000
int FormatDisk(void)
{
	u32 ret = OK;
	u8 buffer[512];
	FormatParameter param;

	__inf("FormatDisk......................\n");
	memset(&param, 0, sizeof(FormatParameter));

	//--------------------------------------------------------------------------
	//
	//--------------------------------------------------------------------------
	ret = FATFS_Format((struct FormatParameter *)&param);
	if (OK != ret)
	{
		__inf("FATFS_Format failed %d\n", ret);
		return ret;
	}
	//--------------------------------------------------------------------------
	// clean magic block by scott 2009-11-21
	//--------------------------------------------------------------------------
	memset(buffer, 0, 512);
	//--------------------------------------------------------------------------
	// jerry 2010-5-11 boot0Ĵ
	//--------------------------------------------------------------------------
	if(wBoot_block_dwrite(16, 1, buffer))
//	if(wBoot_block_write(16, 1, buffer))
	{
		__inf("Clean magic block failed ! %d\n", ret);
		return -1;
	}

	return ret;
}



//------------------------------------------------------------------------------------------------------------
// THE END !
//------------------------------------------------------------------------------------------------------------

